from __future__ import annotations

import mosaik
import mosaik.basic_simulators
from typing import TYPE_CHECKING
if TYPE_CHECKING:
    from mosaik.scenario import SimConfig

SIM_CONFIG: SimConfig = {
    "AsyncRequestsJulia": {
        "connect": "localhost:2000",
    }
}

world = mosaik.World(SIM_CONFIG)
julia_creator = world.start("AsyncRequestsJulia")

world.run(until=10)
